com.io7m.smfj.validation.api

## Class SMFSchemaVersion.Builder

- java.lang.Object
- - com.io7m.smfj.validation.api.SMFSchemaVersion.Builder

- Enclosing class:
    SMFSchemaVersion

      public static final class SMFSchemaVersion.Builder
      extends Object

  Builds instances of type `SMFSchemaVersion`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFSchemaVersion` | `build()` Builds a new `SMFSchemaVersion`.
    `SMFSchemaVersion.Builder` | `from(SMFSchemaVersionType instance)` Fill a builder with attribute values from the provided `SMFSchemaVersionType` instance.
    `SMFSchemaVersion.Builder` | `setMajor(int major)` Initializes the value for the `major` attribute.
    `SMFSchemaVersion.Builder` | `setMinor(int minor)` Initializes the value for the `minor` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFSchemaVersion.Builder from(SMFSchemaVersionType instance)

      Fill a builder with attribute values from the provided `SMFSchemaVersionType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setMajor

          public final SMFSchemaVersion.Builder setMajor(int major)

      Initializes the value for the `major` attribute.
      Parameters:
        `major` - The value for major
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinor

          public final SMFSchemaVersion.Builder setMinor(int minor)

      Initializes the value for the `minor` attribute.
      Parameters:
        `minor` - The value for minor
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFSchemaVersion build()

      Builds a new `SMFSchemaVersion`.
      Returns:
        An immutable instance of SMFSchemaVersion
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com